View Issue Details

IDProjectCategoryView StatusLast Update
0000434SOGoBackend Calendarpublic2010-04-16 17:46
Reporterwimmer Assigned Towsourdeau 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Target Version1.2.2Fixed in Version1.2.2 
Summary0000434: sogo refuses imip invitations for recurrence exceptions
Description

My colleague forwarded me another problematic Event invitation, which sent him other man from MS Outlook. I modified attendees and
sender address and tried to accept by myself, but without success.
I'm working in SOGo WebGUI...

  • I do "Add to calendar" -> event is inserted into my calendar => ok
  • I do "Accept" -> event is inserted into my calendar, but SOGo displays warning

received code: 500
error: <?xml version="1.0" encoding="ISO-8859-1"?>
<html xmlns="http://www.w3.org/1999/xhtml&quot;> [^]
<body><h3>An error occurred during object publishing</h3>

unable to parse event record
</body>
</html>

and no message is sended to organizer.

Here is sogo.log:
Feb 16 15:01:51 sogod [18759]: [ERROR] <0x01BA3F10[SOGoMailObject]:9981> body part index out of bounds(idx=1 vs count=0): {bodyId = ""; description = ""; disposition = {}; encoding = 8bit; languages = (cs); lines = 86; location = ""; md5 = ""; parameterList = {charset = "utf-8"; method = REQUEST; }; size = 3697; subtype = calendar; type = text; }
2010-02-16 15:01:51.754 sogod[18759] <0x0x1e79760[PostgreSQL72Channel]: connection=<0x0x1e6a990[PGConnection]: connection=0x0x23740d0>>: message: WARNING: nonstandard use of \ in a string literal
LINE 1: ...0000100000009BB6CBE350E5C349855DE60AC9E259BE', 0, 'BEGIN:VCA...
^
HINT: Use the escape string syntax for backslashes, e.g., E'\'.

Complete event invitation I will send you in private mail.

Milos

TagsNo tags attached.

Activities

wsourdeau

wsourdeau

2010-02-17 09:21

viewer   ~0000585

This issue will be addressed after 1.2.1 is released.

wsourdeau

wsourdeau

2010-03-15 17:26

viewer   ~0000734

Hi Milos,

I still have not received your invitation so there is not a lot we can do at this time....

wimmer

wimmer

2010-03-15 17:43

reporter   ~0000735

Hello Wolfgang,
I sent it to you in private mail (how mentioned in Description of this issue)
on 16-Feb.
But now problem, I will forward it to you just now as a private mail again.
Milos

wsourdeau

wsourdeau

2010-04-16 17:46

viewer   ~0000954

Fixed in dd017bbdddea8d5340182a7bc5439bfd1c8fd312

Issue History

Date Modified Username Field Change
2010-02-17 09:18 wsourdeau New Issue
2010-02-17 09:20 wsourdeau Reporter wsourdeau => wimmer
2010-02-17 09:21 wsourdeau Note Added: 0000585
2010-02-23 09:18 ludovic Target Version => 1.2.2
2010-03-02 16:13 wsourdeau Summary sogo refuses imip invitations for reccurrence exceptions => sogo refuses imip invitations for recurrence exceptions
2010-03-15 17:26 wsourdeau Note Added: 0000734
2010-03-15 17:43 wimmer Note Added: 0000735
2010-04-16 17:46 wsourdeau Note Added: 0000954
2010-04-16 17:46 wsourdeau Status new => resolved
2010-04-16 17:46 wsourdeau Fixed in Version => 1.2.2
2010-04-16 17:46 wsourdeau Resolution open => fixed
2010-04-16 17:46 wsourdeau Assigned To => wsourdeau